### Method

# Gio DesktopAppInfo get_generic_name

#### Declaration

    const char*
    g_desktop_app_info_get_generic_name (
      GDesktopAppInfo* info
    )

#### Description

Gets the generic name from the desktop file.

#### Return value

Type: `const char*`

The value of the GenericName key.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.